org.kie.internal.utils

## Class ServiceRegistryImpl

- java.lang.Object
- - org.kie.internal.utils.ServiceRegistryImpl

- All Implemented Interfaces:
    org.kie.api.Service, ServiceRegistry

      public class ServiceRegistryImpl
      extends Object
      implements ServiceRegistry

  This is an internal class, not for public consumption.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServiceRegistryImpl.FactoryInstantiator<V>`
    `static class` | `ServiceRegistryImpl.ReflectionInstantiator<V>`
    `static class` | `ServiceRegistryImpl.ReturnInstance<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `fileName`
    `protected static org.slf4j.Logger` | `logger`
    `String` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceRegistryImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefault(Class cls, String impl)`
    `void` | `addDefaultFactory(Class cls, String impl)`
    `<T> T` | `get(Class<T> cls)`
    `static ServiceRegistry` | `getInstance()`
    `void` | `registerLocator(Class cls, Callable cal)`
    `void` | `unregisterLocator(Class cls)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileName

          public final String fileName

      See Also:
        Constant Field Values

    - #### path

          public final String path

      See Also:
        Constant Field Values

    - #### logger

          protected static final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### ServiceRegistryImpl

          public ServiceRegistryImpl()

  - ### Method Detail

    - #### getInstance

          public static ServiceRegistry getInstance()

    - #### registerLocator

          public void registerLocator(Class cls,
                                      Callable cal)

      Specified by:
        `registerLocator` in interface `ServiceRegistry`

    - #### unregisterLocator

          public void unregisterLocator(Class cls)

      Specified by:
        `unregisterLocator` in interface `ServiceRegistry`

    - #### get

          public <T> T get(Class<T> cls)

      Specified by:
        `get` in interface `ServiceRegistry`

    - #### addDefault

          public void addDefault(Class cls,
                                 String impl)

      Specified by:
        `addDefault` in interface `ServiceRegistry`

    - #### addDefaultFactory

          public void addDefaultFactory(Class cls,
                                        String impl)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.